<?php
#
# Plugin: check_atm_vp (COUNTER)
#
define("_WARNRULE", '#FFFF00');
define("_CRITRULE", '#FF0000');

$lower = " --lower=0";
$minimum = 0;

$opt[1] = "--vertical-label \"Traffic\" -b 1024 --title \"Port Traffic for $hostname / $servicedesc\" $lower";
$def[1] = "DEF:var1=$rrdfile:$DS[1]:AVERAGE " ;
$def[1] .= "DEF:var2=$rrdfile:$DS[2]:AVERAGE " ;
$def[1] .= "AREA:var1#003300:\"in\" " ;
$def[1] .= "GPRINT:var1:LAST:\"%4.2lf %Sb/s last\" " ;
$def[1] .= "GPRINT:var1:AVERAGE:\"%4.2lf %Sb/s avg\" " ;
$def[1] .= "GPRINT:var1:MAX:\"%4.2lf %Sb/s max\" " ;
$def[1] .= "GPRINT:var1:MIN:\"%4.2lf %Sb/s min\\n\" " ;
$def[1] .= "LINE1:var2#00ff00:\"out\" " ;
$def[1] .= "GPRINT:var2:LAST:\"%4.2lf %Sb/s last\" " ;
$def[1] .= "GPRINT:var2:AVERAGE:\"%4.2lf %Sb/s avg\" " ;
$def[1] .= "GPRINT:var2:MAX:\"%4.2lf %Sb/s max\" ";
$def[1] .= "GPRINT:var2:MIN:\"%4.2lf %Sb/s min\" ";

if ($WARN[1] != "") {
        $warning = $WARN[1];
	if ($DS[1] < $warning) {
		$upper = " --upper=" . $warning;
	}
}
if ($CRIT[1] != "") {
        $critical = $CRIT[1];
}

$opt[2] = "--vertical-label \"Traffic IN\" -b 1024 --title \"Port Traffic for $hostname / $servicedesc $warning\" $upper $lower";
$def[2] = "DEF:var1=$rrdfile:$DS[1]:AVERAGE " ;
$def[2] .= "AREA:var1#003300:\"in\" " ;
$def[2] .= "GPRINT:var1:LAST:\"%4.2lf %Sb/s last\" " ;
$def[2] .= "GPRINT:var1:AVERAGE:\"%4.2lf %Sb/s avg\" " ;
$def[2] .= "GPRINT:var1:MAX:\"%4.2lf %Sb/s max\" " ;
$def[2] .= "GPRINT:var1:MIN:\"%4.2lf %Sb/s min\\n\" " ;
if ($warning != "") {
        $def[2] .= "HRULE:" . $warning . _WARNRULE . ':"Warning on  ' . sprintf("%3.2f",$warning / 1024 / 1024) . '\n" ';
}
if ($critical != "") {
        $def[2] .= "HRULE:" . $critical . _CRITRULE . ':"Critical on ' . sprintf("%3.2f",$critical / 1024 / 1024) . '\n" ';
}

$warning="";
$critical="";
$upper="";

if ($WARN[2] != "") {
        $warning = $WARN[2];
}
if ($CRIT[2] != "") {
        $critical = $CRIT[2];
	if ($DS[1] < $critical) {
		$upper = " --upper=" . $critical;
	}
}

$opt[3] = "--vertical-label \"Traffic OUT\" -b 1024 --title \"Port Traffic for $hostname / $servicedesc\" $upper $lower";
$def[3] = "DEF:var1=$rrdfile:$DS[2]:AVERAGE " ;
$def[3] .= "AREA:var1#00ff00:\"out\" " ;
$def[3] .= "GPRINT:var1:LAST:\"%4.2lf %Sb/s last\" " ;
$def[3] .= "GPRINT:var1:AVERAGE:\"%4.2lf %Sb/s avg\" " ;
$def[3] .= "GPRINT:var1:MAX:\"%4.2lf %Sb/s max\" " ;
$def[3] .= "GPRINT:var1:MIN:\"%4.2lf %Sb/s min\\n\" " ;
if ($warning != "") {
        $def[3] .= "HRULE:" . $warning . _WARNRULE . ':"Warning on  ' . sprintf("%3.2f",$warning / 1024 / 1024) . '\n" ';
}
if ($critical != "") {
        $def[3] .= "HRULE:" . $critical . _CRITRULE . ':"Critical on ' . sprintf("%3.2f",$critical / 1024 / 1024) . '\n" ';
}

?>
